﻿
@{
    ViewBag.Title = "Dashboard";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section HeadLibrary{
    <!-- DataTables -->
    <link rel="stylesheet" href="~/AdminLTE/plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
    <link rel="stylesheet" href="~/AdminLTE//plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
    <!-- SweetAlert2 -->
    <link rel="stylesheet" href="~/AdminLTE/plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
    <!-- Toastr -->
    <link rel="stylesheet" href="~/AdminLTE/plugins/toastr/toastr.min.css">

    <!-- iCheck for checkboxes and radio inputs -->
    <link rel="stylesheet" href="~/AdminLTE/plugins/icheck-bootstrap/icheck-bootstrap.min.css">
    <!-- Bootstrap Color Picker -->
    <link rel="stylesheet" href="~/AdminLTE/plugins/bootstrap-colorpicker/css/bootstrap-colorpicker.min.css">
    <!-- Select2 -->
    <link rel="stylesheet" href="~/AdminLTE/plugins/select2/css/select2.min.css">
    <link rel="stylesheet" href="~/AdminLTE/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
    <!-- Bootstrap4 Duallistbox -->
    <link rel="stylesheet" href="~/AdminLTE/plugins/bootstrap4-duallistbox/bootstrap-duallistbox.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="~/AdminLTE/dist/css/adminlte.min.css">
}



<div class="card">
    <div class="card-header">
        <h2 class="card-title" style="font-weight: bold;">Selamat Datang, @Session["Username"]  </h2>
        <!--<button type="button" id="btnSave" class="btn btn-primary">Submit</button>-->
    </div>
</div>

<div class="card">
    <div class="card-header">
        <h2 class="card-title" style="font-weight: bold;">Saldo Cuti</h2>
    </div>
    <!-- /.card-header -->
    <div class="card-body">
        <div class="row">
            <!-- ./col -->
            <div class="col-lg-3 col-6">
                <!-- small card -->
                <div class="small-box bg-info">
                    <div class="inner">
                        <h3 id="saldocuti"></h3>
                        <p>Saldo Cuti</p>
                    </div>
                    <div class="icon">
                        <i class="fas fa-wallet"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- /.card-body -->
</div>

<div class="card">
    <div class="card-header">
        <h2 class="card-title" style="font-weight: bold;">Outstanding Pengajuan</h2>
    </div>
   
    <!-- /.card-header -->
    <div class="card-body">
        <input type="text" id="Periode1" placeholder="Periode" style="width:300px; font-weight:bold;" disabled>
        <p></p>
        <div class="row">
            <!-- ./col -->
            <div class="col-lg-3 col-6">
                <!-- small card -->
                <div class="small-box bg-info">
                    <div class="inner">
                        <h3 id="outstand_Pengajuan"></h3>
                        <p>Total Outstanding Pengajuan</p>
                    </div>
                    <div class="icon">
                        <i class="fas fa-user-plus"></i>
                    </div>
                </div>
            </div>
            <div class="col-lg-3 col-6">
                <!-- small card -->
                <div class="small-box bg-warning">
                    <div class="inner">
                        <h3 id="outstand_Cuti"></h3>
                        <p>Pengajuan Cuti</p>
                    </div>
                    <div class="icon">
                        <i class="fas fa-user-plus"></i>
                    </div>
                </div>
            </div>
            <div class="col-lg-3 col-6">
                <!-- small card -->
                <div class="small-box bg-warning">
                    <div class="inner">
                        <h3 id="outstand_DOL"></h3>
                        <p>Pengajuan Days On Lieu</p>
                    </div>
                    <div class="icon">
                        <i class="fas fa-user-plus"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- /.card-body -->
</div>


<div class="card">
    <div class="card-header">
        <h2 class="card-title" style="font-weight: bold;">Summary Pengajuan Cuti / Days On Lieu Karyawan</h2>
    </div>
  
    <!-- /.card-header -->
    <div class="card-body">
        <input type="text" id="Periode2" placeholder="Periode" style="width:300px;font-weight:bold;" disabled>
        <p></p>
        <div class="row">
            <!-- ./col -->
            <div class="col-md-3">
                <!-- small card -->
                <div class="small-box bg-info">
                    <div class="inner">
                        <h3 id="sum_Pengajuan"></h3>
                        <p>Total Pengajuan</p>
                    </div>
                    <div class="icon">
                        <i class="fas fa-user-plus"></i>
                    </div>
                </div>
            </div>
            <div class="col-md-3">
                <!-- small card -->
                <div class="small-box bg-warning">
                    <div class="inner">
                        <h3 id="sum_Cuti"></h3>
                        <p>Pengajuan Cuti</p>
                    </div>
                    <div class="icon">
                        <i class="fas fa-user-plus"></i>
                    </div>
                </div>
            </div>
            <div class="col-md-3">
                <!-- small card -->
                <div class="small-box bg-warning">
                    <div class="inner">
                        <h3 id="sum_DOL"></h3>
                        <p>Pengajuan Days On Lieu</p>
                    </div>
                    <div class="icon">
                        <i class="fas fa-user-plus"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- /.card-body -->
</div>

@section BodyLibrary{
    
    <!-- DataTables -->
    <script src="@Url.Content("~/AdminLTE/plugins/datatables/jquery.dataTables.min.js")"></script>
    <script src="@Url.Content("~/AdminLTE/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js")"></script>
    <script src="@Url.Content("~/AdminLTE/plugins/datatables-responsive/js/dataTables.responsive.min.js")"></script>
    <script src="@Url.Content("~/AdminLTE/plugins/datatables-responsive/js/responsive.bootstrap4.min.js")"></script>
    <!-- SweetAlert2 -->
    <script src="@Url.Content("~/AdminLTE/plugins/sweetalert2/sweetalert2.min.js")"></script>
    <!-- Toastr -->
    <script src="@Url.Content("~/AdminLTE/plugins/toastr/toastr.min.js")"></script>
    <!-- DataRender -->
    <script src="@Url.Content("~/AdminLTE/plugins/dataRender/dateTime.js")"></script>
    <!-- Select2 -->
    <script src="@Url.Content("~/AdminLTE/plugins/select2/js/select2.full.min.js")"></script>
    <!-- Bootstrap Switch -->
    <script src="@Url.Content("~/AdminLTE/plugins/bootstrap4-duallistbox/jquery.bootstrap-duallistbox.min.js")"></script>


}

@section AdditionalScript{
    <script>
        var save_method;
        var rowId;
        var rowName;
        var masterApprovalTable;
        var selectKaryawan = new Array();
        var countPengajuanCuti;
        var outstandPengajuan;
        var outstandCuti;
        var outstandDOL;
        var sumPengajuan;
        var sumCuti;
        var sumDOL;
        jQuery(document).ready(function ($) {
            getPengajuanCuti();
            getSaldoCuti('@Session["id_karyawan"]');

        });

        function getPengajuanCuti() {
            countPengajuanCuti = 0;
            outstandPengajuan = 0;
            outstandCuti = 0;
            outstandDOL = 0;
            sumPengajuan = 0;
            sumCuti= 0;
            sumDOL = 0;
            var pengajuan_date;
            var status;
            var jenis_pengajuan;
            var id_pengajuan;
            var last_month = new Date(); //get today
            last_month.setMonth(last_month.getMonth() - 1);  //get lastmonth

            const namaBulan = ["Januari", "Februari", "Maret", "April", "Mei", "Juni",
                "Juli", "Agustus", "September", "Oktober", "November", "Desember"
            ];
            
            //today 
            var today = new Date();
            var dd = String(today.getDate()).padStart(2, '0');
            var mm = namaBulan[today.getMonth()]; //January is 0!
            var yyyy = today.getFullYear();
            today = dd + " " + mm + " " + yyyy;
            //lastmonth 
            var dd2 = String(last_month.getDate()).padStart(2, '0');
            var mm2 = namaBulan[last_month.getMonth()]; //January is 0!
            var yyyy2 = last_month.getFullYear();
            var last_month2 = dd2 + " " + mm2 + " " + yyyy2;

            const monthNames = ["January", "February", "March", "April", "May", "June",
                "July", "August", "September", "October", "November", "December"
            ];
           

             $.ajax({
                 url: '@Url.Content("~/HomeAdmin/LoadDataPengajuanCuti")' ,
                    method: "POST",
                    dataType: "JSON",
                    success: function (result) {
                        if (result.metaData.code === '200') {
                            //Swal.close();
                            selectKaryawan = [];
                            if (result.response.length > 0) {
                                for (let a = 0; a < result.response.length; a++) {
                                    pengajuan_date = new Date(result.response[a].created_date);
                                    status = result.response[a].approve_status;
                                    jenis_pengajuan = result.response[a].id_jenis_pengajuan;
                                    id_pengajuan = result.response[a].id_pengajuan;

                                    //var last_month_2 = "";
                                    //last_month_2 = Date.parse(last_month);

                                    //console.log(pengajuan_date);

                                    if (pengajuan_date > last_month) {
                                        sumPengajuan++;
                                        if (id_pengajuan.toUpperCase().includes('CT')){
                                            sumCuti++;
                                            if (status == 'PENDING') {
                                                outstandCuti++;
                                                outstandPengajuan++;
                                            }
                                        } else {
                                            sumDOL++;
                                            if (status == 'PENDING') {
                                                outstandDOL++;
                                                outstandPengajuan++;
                                            }
                                        }

                                    }
                                }
                            } else {
                            }
                                $("#outstand_Pengajuan").html(outstandPengajuan)
                                $("#outstand_Cuti").html(outstandCuti)
                                $("#outstand_DOL").html(outstandDOL)
                                $("#sum_Pengajuan").html(sumPengajuan)
                                $("#sum_Cuti").html(sumCuti)
                                $("#sum_DOL").html(sumDOL)
                                $('#Periode1').val("  Periode : " + last_month2 + " - " + today)
                                $('#Periode2').val("  Periode : " + last_month2 + " - " + today)
                        } else {
                           // return toastr.warning(result.metaData.message, 'Sorry!', { "timeOut": 5000 });
                        }
                    },
                    error: function (eventError, textStatus, errorThrown) {
                        //return toastr.error(formatErrorMessage(eventError, errorThrown), 'Failed!', { "timeOut": 5000 });
                    }
             });
        }

        function getSaldoCuti(id_karyawan) {
            selectKaryawan = [];
             $.ajax({
                 url: '@Url.Content("~/HomeAdmin/GetSaldoCuti")' + "/" + id_karyawan,
                    method: "POST",
                    dataType: "JSON",

                    success: function (result) {
                        if (result.metaData.code === '200') {
                            var saldo = result.response;
                            var saldo_cuti = saldo.replace(/^"|"/g, '');
                            $("#saldocuti").html(saldo_cuti)
                           // console.log("saldo"+saldo_cuti);
                           // return toastr.warning(result.metaData.message, 'Success!', { "timeOut": 10000 });
                        } else {
                            $("#saldocuti").html("0");
                            //return toastr.warning(result.metaData.message, 'Sorry!', { "timeOut": 5000 });
                        }
                    },
                   error: function (eventError, textStatus, errorThrown) {
                     Swal.close();
                        return toastr.error(formatErrorMessage(eventError, errorThrown), 'Failed!', { "timeOut": 5000 });
                    }
                });

        }

        $('#btnSave').on('click', function () {
            getPengajuanCuti();
            getSaldoCuti(@Session["Id_karyawan"]);
        });
    </script>

}



